%global barename js-beautify

%global with_test 1

Name:		nodejs-js-beautify
Version:	1.6.3
Release:	1%{?dist}
Summary:	jsbeautifier.org for node

License:	MIT
URL:		http://jsbeautifier.org
Source0:	https://github.com/beautify-web/js-beautify/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:	%{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging

BuildRequires:	npm(config-chain)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(nopt)

Requires:	npm(config-chain)
Requires:	npm(mkdirp)
Requires:	npm(nopt)

%if 0%{with_test}
BuildRequires:	npm(node-static)
BuildRequires:	npm(jshint)
BuildRequires:	npm(benchmark)
BuildRequires:	npm(requirejs)
BuildRequires:	npm(mustache)
%endif


%description
This little beautifier will reformat and reindent bookmarklets, ugly
JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
deobfuscate scripts processed by javascriptobfuscator.com.

%prep
%setup -qn js-beautify-%{version}
rm -rf node_modules/

# Remove the run-tests file, as it brings in an unwanted dependency on
# /usr/bin/spidermonkey-1.7, and we don't need the file
rm -rf js/test/run-tests

%nodejs_fixdep mkdirp
%nodejs_fixdep nopt

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-beautify/js/
cp -pr package.json js/ \
    %{buildroot}%{nodejs_sitelib}/js-beautify/

chmod 0755 %{buildroot}%{nodejs_sitelib}/js-beautify/js/lib/cli.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/js-beautify/js/lib/cli.js \
    %{buildroot}%{_bindir}/js-beautify
ln -sf %{nodejs_sitelib}/js-beautify/js/lib/cli.js \
    %{buildroot}%{_bindir}/css-beautify
ln -sf %{nodejs_sitelib}/js-beautify/js/lib/cli.js \
    %{buildroot}%{_bindir}/html-beautify

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{with_test}
%{__nodejs} ./js/test/node-beautify-tests.js
%endif


%files
%license LICENSE
%doc CHANGELOG.md README.md
%{nodejs_sitelib}/js-beautify
%{_bindir}/js-beautify
%{_bindir}/css-beautify
%{_bindir}/html-beautify

%changelog
* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 1.6.3-1
- Update to upstream 1.6.3 release

* Mon Feb 08 2016 Jared Smith <jsmith@fedoraproject.org> - 1.6.2-1
- Update to upstream 1.6.2 release
- Restore index.js to the 'js' directory where package.json says it should be
- Fix building with tests, now that the dependencies are in Fedora
- Link to css-beautify and html-beautify in addition to js-beautify

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 28 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-4
- Adding fixdep for nopt

* Mon Jul 27 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-3
- Adding fixdep for mkdirp

* Sun Jul 26 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-2
- Conditioning tests due to unavailable deps

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.10-1
- Update to 1.5.10
- Including /js/lib/ directory
- Adding symlink to lib/cli.js in %%{_bindir}

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.5.9-1
- Initial packaging
